Point Cloud Library (PCL): pcl::detail::CopyPointHelper< PointInT, PointOutT, typename boost::enable_if< boost::mpl::and_< boost::mpl::not_< boost::is_same< PointInT, PointOutT > >, boost::mpl::or_< boost::mpl::not_< pcl::traits::has_color< PointInT > >, boost::mpl::not_< pcl::traits::has_color< PointOutT > >, boost::mpl::and_< pcl::traits::has_field< PointInT, pcl::fields::rgb >, pcl::traits::has_field< PointOutT, pcl::fields::rgb > >, boost::mpl::and_< pcl::traits::has_field< PointInT, pcl::fields::rgba >, pcl::traits::has_field< PointOutT, pcl::fields::rgba > > > > >::type > Struct Template Reference
pcl::detail::CopyPointHelper< PointInT, PointOutT, typename boost::enable_if< boost::mpl::and_< boost::mpl::not_< boost::is_same< PointInT, PointOutT > >, boost::mpl::or_< boost::mpl::not_< pcl::traits::has_color< PointInT > >, boost::mpl::not_< pcl::traits::has_color< PointOutT > >, boost::mpl::and_< pcl::traits::has_field< PointInT, pcl::fields::rgb >, pcl::traits::has_field< PointOutT, pcl::fields::rgb > >, boost::mpl::and_< pcl::traits::has_field< PointInT, pcl::fields::rgba >, pcl::traits::has_field< PointOutT, pcl::fields::rgba > > > > >::type > Struct Template Reference

`#include <pcl/common/impl/copy_point.hpp>`

## Public Member Functions

void | operator() (const PointInT &point_in, PointOutT &point_out) const

## Detailed Description

### template<typename PointInT, typename PointOutT>
struct pcl::detail::CopyPointHelper< PointInT, PointOutT, typename boost::enable_if< boost::mpl::and_< boost::mpl::not_< boost::is_same< PointInT, PointOutT > >, boost::mpl::or_< boost::mpl::not_< pcl::traits::has_color< PointInT > >, boost::mpl::not_< pcl::traits::has_color< PointOutT > >, boost::mpl::and_< pcl::traits::has_field< PointInT, pcl::fields::rgb >, pcl::traits::has_field< PointOutT, pcl::fields::rgb > >, boost::mpl::and_< pcl::traits::has_field< PointInT, pcl::fields::rgba >, pcl::traits::has_field< PointOutT, pcl::fields::rgba > > > > >::type >

Definition at line 89 of file copy_point.hpp.

## Member Function Documentation

template<typename PointInT , typename PointOutT >

void pcl::detail::CopyPointHelper< PointInT, PointOutT, typename boost::enable_if< boost::mpl::and_< boost::mpl::not_< boost::is_same< PointInT, PointOutT > >, boost::mpl::or_< boost::mpl::not_< pcl::traits::has_color< PointInT > >, boost::mpl::not_< pcl::traits::has_color< PointOutT > >, boost::mpl::and_< pcl::traits::has_field< PointInT, pcl::fields::rgb >, pcl::traits::has_field< PointOutT, pcl::fields::rgb > >, boost::mpl::and_< pcl::traits::has_field< PointInT, pcl::fields::rgba >, pcl::traits::has_field< PointOutT, pcl::fields::rgba > > > > >::type >::operator()

(

const PointInT &

point_in,

|  | PointOutT & | point_out
| ) |  | const

inline

Definition at line 98 of file copy_point.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/common/include/pcl/common/impl/copy_point.hpp